List agents
curl --request GET \
--url https://api.brilo.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brilo.ai/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "<string>",
"description": "<string>",
"draft_pending": true,
"id": "<string>",
"live_version_id": "<string>",
"name": "<string>",
"phone_numbers": [
"<string>"
],
"revision": "<string>",
"versioning_enabled": true
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}Agents and versions
List agents
The agents in your workspace, newest first. Filter by name with name; page with offset and limit.
GET
/
agents
List agents
curl --request GET \
--url https://api.brilo.ai/v1/agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brilo.ai/v1/agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brilo.ai/v1/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.brilo.ai/v1/agents",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.brilo.ai/v1/agents"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.brilo.ai/v1/agents")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.brilo.ai/v1/agents")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"created_at": "<string>",
"description": "<string>",
"draft_pending": true,
"id": "<string>",
"live_version_id": "<string>",
"name": "<string>",
"phone_numbers": [
"<string>"
],
"revision": "<string>",
"versioning_enabled": true
}
],
"limit": 0,
"offset": 0,
"total": 0
}{
"error_code": "<string>",
"message": "<string>",
"status": 0,
"details": {},
"errors": [
{
"error_code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"hint": "<string>",
"next_action": {
"method": "<string>",
"path": "<string>",
"tool": "<string>",
"body": {}
}
}Authorizations
Enter your API key (Bearer token)
Query Parameters
Rows to skip.
Required range:
0 <= x <= 100000Page size, at most 200.
Required range:
1 <= x <= 200Only agents whose name contains this, any case.
Maximum string length:
100Field and direction, e.g. 'name:asc'. Newest first by default.
Available options:
created_at:desc, created_at:asc, name:asc, name:desc 